X2Go Bug report logs - #166
known hosts conflict do not generate a message to the user

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Mon, 15 Apr 2013 10:48:01 UTC

Severity: normal

Tags: pending

Found in version 0.4.0.1

Fixed in version 0.4.0.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#166; Package pyhoca-gui. (Mon, 15 Apr 2013 10:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 10:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: known hosts conflict do not generate a message to the user
Date: Mon, 15 Apr 2013 12:42:21 +0200
Package: Pyhoca-gui
Version: 0.4.0.1

When a known-hosts conflict occurs, no message is generated to the user. So it fails silently.... This makes it hard to debug.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#166; Package pyhoca-gui. (Tue, 25 Jun 2013 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 25 Jun 2013 21:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 166@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 166-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 166@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Tue, 25 Jun 2013 22:50:04 +0200 (CEST)
tag #166 pending
fixed #166 0.4.0.3
thanks

Hello,

X2Go issue #166 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=e089adc

The issue will most likely be fixed in src:pyhoca-gui (0.4.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e089adced12ab9596a8c0b6f58ed8ce6f2bd2d3a
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jun 25 22:49:47 2013 +0200

    Catch SSH Exception for mismatching host keys and make it translatable. (Fixes: #166).

diff --git a/debian/changelog b/debian/changelog
index 50ca626..4f1b0b1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,8 @@ pyhoca-gui (0.4.0.3-0~x2go1) UNRELEASED; urgency=low
     - On selecting »Unshare All Local Folders« purge all shares from the
       »export« session profile parameter if »restoreexports« is set to true
       in the session profile.
+    - Catch SSH Exception for mismatching host keys and make it translatable.
+      (Fixes: #166).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 21 Apr 2013 23:09:12 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 25 Jun 2013 21:03:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.4.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 25 Jun 2013 21:03:02 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#166. (Tue, 25 Jun 2013 21:03:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#166; Package pyhoca-gui. (Fri, 19 Jul 2013 19:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Jul 2013 19:03:02 GMT) Full text and rfc822 format available.

Message #22 received at 166@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 166-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 166@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Fri, 19 Jul 2013 20:51:05 +0200 (CEST)
close #166
thanks

Hello,

we are very hopeful that X2Go issue #166 reported by you
has been resolved in the new release (0.4.0.3) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.4.0.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=750275bd9544cdf47180bb75634661f4e297c21c;hp=3aac457efc8cf241d07ab1d9a7b1202438561af3

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.4.0.3
Status: RELEASE
Date: Fri, 19 Jul 2013 20:50:06 +0200
Fixes: 166
Changes: 
 pyhoca-gui (0.4.0.3) RELEASED; urgency=low
 .
   * New upstream version (0.4.0.3):
     - On selecting »Unshare All Local Folders« purge all shares from the
       »export« session profile parameter if »restoreexports« is set to true
       in the session profile.
     - Catch SSH Exception for mismatching host keys and make it translatable.
       (Fixes: #166).
     - Add an ,,About Python X2Go...'' menu item that opens a window providing
       information on the Python X2Go source code download location.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 19:03:02 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Fri, 19 Jul 2013 19:03:02 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#166. (Fri, 19 Jul 2013 19:03:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 17 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:46:14 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.